com.fasterxml.jackson.databind.ext

## Class DOMDeserializer.NodeDeserializer

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonDeserializer<T>
  - - com.fasterxml.jackson.databind.deser.std.StdDeserializer<T>
    - - com.fasterxml.jackson.databind.deser.std.StdScalarDeserializer<T>
      - - com.fasterxml.jackson.databind.deser.std.FromStringDeserializer<T>
        - - com.fasterxml.jackson.databind.ext.DOMDeserializer<Node>
          - - com.fasterxml.jackson.databind.ext.DOMDeserializer.NodeDeserializer

All Implemented Interfaces:
  Serializable

Enclosing class:
  DOMDeserializer<T>

    public static class DOMDeserializer.NodeDeserializer
    extends DOMDeserializer<Node>

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.ext.DOMDeserializer

`DOMDeserializer.DocumentDeserializer, DOMDeserializer.NodeDeserializer`

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonDeserializer

`JsonDeserializer.None`

### Field Summary

### Fields inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer

`_valueClass`

### Constructor Summary

Constructors
Constructor and Description
`DOMDeserializer.NodeDeserializer()`

### Method Summary

Methods
`Node` `_deserialize(String value, DeserializationContext ctxt)`

### Methods inherited from class com.fasterxml.jackson.databind.ext.DOMDeserializer

`parse`

### Methods inherited from class com.fasterxml.jackson.databind.deser.std.FromStringDeserializer

`_deserializeEmbedded, deserialize`

### Methods inherited from class com.fasterxml.jackson.databind.deser.std.StdScalarDeserializer

`deserializeWithType`

### Methods inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer

`_parseBoolean, _parseBooleanFromNumber, _parseBooleanPrimitive, _parseByte, _parseDate, _parseDouble, _parseDoublePrimitive, _parseFloat, _parseFloatPrimitive, _parseInteger, _parseIntPrimitive, _parseLong, _parseLongPrimitive, _parseShort, _parseShortPrimitive, _parseString, findDeserializer, getValueClass, getValueType, handleUnknownProperty, isDefaultDeserializer, isDefaultKeyDeserializer, parseDouble`

### Methods inherited from class com.fasterxml.jackson.databind.JsonDeserializer

`deserialize, getDelegatee, getEmptyValue, getKnownPropertyNames, getNullValue, getObjectIdReader, isCachable, replaceDelegatee, unwrappingDeserializer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DOMDeserializer.NodeDeserializer

    public DOMDeserializer.NodeDeserializer()

### Method Detail

#### _deserialize

    public Node _deserialize(String value,
                    DeserializationContext ctxt)
                      throws IllegalArgumentException

Specified by:
  `_deserialize` in class `DOMDeserializer<Node>`
Throws:
  `IllegalArgumentException`